Attach screenshot
curl --request POST \
--url https://skycoach.gg/api/shop/marketplace/offers/{offerId}/attach_screenshot \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/{offerId}/attach_screenshot"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', 'screenshot.jpg');
const options = {method: 'POST', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://skycoach.gg/api/shop/marketplace/offers/{offerId}/attach_screenshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uri": "storage/uploads/product_currency_offer/screenshot/550e8400-e29b-41d4-a716-446655440000.jpg"
}{
"file": [
"The file field is required."
],
"error": "The file must be an image."
}{
"message": "Unauthorized"
}Offers
Attach screenshot
POST
/
api
/
shop
/
marketplace
/
offers
/
{offerId}
/
attach_screenshot
Attach screenshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API response format
Available options:
application/json Path Parameters
ID of the offer to attach screenshot to
Example:
123849
Body
multipart/form-data
Screenshot image file. Supported formats: JPEG, PNG, JPG
Response
Success
URI path to the uploaded screenshot
Example:
"storage/uploads/product_currency_offer/screenshot/550e8400-e29b-41d4-a716-446655440000.jpg"
⌘I